[问题]wine安装时出现问题

Wine、Cedega、CrossOver 等配置
回复
boluor
帖子: 274
注册时间: 2007-10-14 0:11
送出感谢: 0
接收感谢: 0

[问题]wine安装时出现问题

#1

帖子 boluor » 2008-04-30 12:00

我在安装wine时,执行了sudo ./configure后,提示可以 make depend && make 了。然后我执行以后,就出现了问题。他只提示我complete,但是并不是successfully。下面是mske install时的截图。
那位能帮我解决下吗?
附件
Screenshot.png
ddkan
帖子: 18
注册时间: 2008-03-20 2:20
送出感谢: 0
接收感谢: 0

#2

帖子 ddkan » 2008-04-30 12:57

你该看看sudo ./configure执行依赖检测的结果先 肯定编译前的依赖环境不全 检测时有提示缺少什么什么的
依赖环境不全也会提示你执行make depend && make 了。

我的也提示是complete,不是successfully
boluor
帖子: 274
注册时间: 2007-10-14 0:11
送出感谢: 0
接收感谢: 0

#3

帖子 boluor » 2008-04-30 15:33

等我再试试
boluor
帖子: 274
注册时间: 2007-10-14 0:11
送出感谢: 0
接收感谢: 0

#4

帖子 boluor » 2008-04-30 17:31

这是我在configure时系统的提示,好像是有问题的,但是不知道怎么解决。希望知道的能告诉我。谢谢!
附件
Screenshot.png
boluor
帖子: 274
注册时间: 2007-10-14 0:11
送出感谢: 0
接收感谢: 0

#5

帖子 boluor » 2008-04-30 17:32

还是贴出来把。免得不好看。

configure: libxml2 development files not found, XML won't be supported.
configure: libxslt development files not found, xslt won't be supported.
configure: libhal development files not found, no dynamic device support.
configure: lib(n)curses development files not found, curses won't be supported.
configure: libsane development files not found, scanners won't be supported.
configure: libgphoto2 development files not found, digital cameras won't be supported.
configure: liblcms development files not found, Color Management won't be supported.
configure: libldap (OpenLDAP) development files not found, LDAP won't be supported.
configure: libcapi20 development files not found, ISDN won't be supported.
configure: libcups development files not found, CUPS won't be supported.
configure: fontconfig development files not found, fontconfig won't be supported.
configure: OpenSSL development files not found, SSL won't be supported.
configure: libjpeg development files not found, JPEG won't be supported.
configure: libpng development files not found, PNG won't be supported.

configure: WARNING: X development files not found. Wine will be built
without X support, which probably isn't what you want. You will need to install
development packages of Xlib/Xfree86 at the very least.

configure: WARNING: FreeType development files not found.
Fonts will not be built. Dialog text may be invisible or unaligned.

configure: Finished. Do 'make depend && make' to compile Wine.
boluor
帖子: 274
注册时间: 2007-10-14 0:11
送出感谢: 0
接收感谢: 0

#6

帖子 boluor » 2008-04-30 22:56

现在./configure时,提示成这样子了:
configure: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
configure: libhal development files not found, no dynamic device support.
configure: libsane development files not found, scanners won't be supported.
configure: libgphoto2 development files not found, digital cameras won't be supported.
configure: liblcms development files not found, Color Management won't be supported.
configure: libldap (OpenLDAP) development files not found, LDAP won't be supported.
configure: libcapi20 development files not found, ISDN won't be supported.
configure: libcups development files not found, CUPS won't be supported.
configure: OpenSSL development files not found, SSL won't be supported.

看来装了那个libsdl-gfx1.2-4和 gnome-devel还是有反应的。
回复

回到 “Wine及其分支”